Get all purchase order items for a specific purchase order
https://api.propexo.com/v1/purchase-orders/:purchase_order_id/itemsAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the purchase order
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The Propexo unique identifier for the property
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the purchase order item
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Interface | Method |
|---|---|
| Job Cost | GetPOChangeOrders |
| Vendor Invoicing | GetPOChangeOrders |
| Job Cost | GetPurchaseOrders |
| Vendor Invoicing | GetPurchaseOrders |
39021The external ID of the property from the integration vendor
| Interface | Method |
|---|---|
| Job Cost | GetPOChangeOrders |
| Vendor Invoicing | GetPOChangeOrders |
| Job Cost | GetPurchaseOrders |
| Vendor Invoicing | GetPurchaseOrders |
oakridgeThe external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for YARDI
nullDescription of the purchase order item
| Interface | Method |
|---|---|
| Job Cost | GetPOChangeOrders |
| Vendor Invoicing | GetPOChangeOrders |
| Job Cost | GetPurchaseOrders |
| Vendor Invoicing | GetPurchaseOrders |
Interior paint, eggshell finishThe stock code for the purchase order item
| Interface | Method |
|---|---|
| Job Cost | GetPOChangeOrders |
| Vendor Invoicing | GetPOChangeOrders |
| Job Cost | GetPurchaseOrders |
| Vendor Invoicing | GetPurchaseOrders |
50700The quantity ordered for the purchase order item
| Interface | Method |
|---|---|
| Job Cost | GetPOChangeOrders |
| Vendor Invoicing | GetPOChangeOrders |
| Job Cost | GetPurchaseOrders |
| Vendor Invoicing | GetPurchaseOrders |
2.0000The unit price, in cents, of the purchase order item
| Interface | Method |
|---|---|
| Job Cost | GetPOChangeOrders |
| Vendor Invoicing | GetPOChangeOrders |
| Job Cost | GetPurchaseOrders |
| Vendor Invoicing | GetPurchaseOrders |
2500The total cost, in cents, of the purchase order item
| Interface | Method |
|---|---|
| Job Cost | GetPOChangeOrders |
| Vendor Invoicing | GetPOChangeOrders |
| Job Cost | GetPurchaseOrders |
| Vendor Invoicing | GetPurchaseOrders |
12500The cost code of the purchase order item
| Interface | Method |
|---|---|
| Job Cost | GetPOChangeOrders |
| Vendor Invoicing | GetPOChangeOrders |
| Job Cost | GetPurchaseOrders |
| Vendor Invoicing | GetPurchaseOrders |
03-210The category code for the purchase order item
| Interface | Method |
|---|---|
| Job Cost | GetPOChangeOrders |
| Vendor Invoicing | GetPOChangeOrders |
| Job Cost | GetPurchaseOrders |
| Vendor Invoicing | GetPurchaseOrders |
1000-25The Propexo unique identifier for the purchase order
| Interface | Method |
|---|---|
| Job Cost | GetPOChangeOrders |
| Vendor Invoicing | GetPOChangeOrders |
| Job Cost | GetPurchaseOrders |
| Vendor Invoicing | GetPurchaseOrders |
cl8k2nqwe0013jsxq9ab1c2dqThe Propexo unique identifier for the construction job
| Interface | Method |
|---|---|
| Job Cost | GetPOChangeOrders |
| Vendor Invoicing | GetPOChangeOrders |
| Job Cost | GetPurchaseOrders |
| Vendor Invoicing | GetPurchaseOrders |
cl8k2nqwe0014jsxq9ab1c2drThe Propexo unique identifier for the financial account
| Interface | Method |
|---|---|
| Job Cost | GetPOChangeOrders |
| Vendor Invoicing | GetPOChangeOrders |
| Job Cost | GetPurchaseOrders |
| Vendor Invoicing | GetPurchaseOrders |
cmfcvfgli748737487413g1beb1709zj0custom_data object | nullrequired
The IDs for invoices that are associated with the purchase order item
This field is not currently hydrated for YARDI
The Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
YARDIAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDI_RESTYARDIErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/purchase-orders/:purchase_order_id/items \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "39021",
"x_property_id": "oakridge",
"x_location_id": null,
"description": "Interior paint, eggshell finish",
"stock_code": "50700",
"quantity_ordered": "2.0000",
"unit_price_in_cents": 2500,
"total_cost_in_cents": 12500,
"cost_code": "03-210",
"category_code": "1000-25",
"purchase_order_id": "cl8k2nqwe0013jsxq9ab1c2dq",
"construction_job_id": "cl8k2nqwe0014jsxq9ab1c2dr",
"financial_account_id": "cmfcvfgli748737487413g1beb1709zj0",
"custom_data": "Unknown Type: object,null",
"associated_invoice_ids": [
"string"
],
"property_id": "clwi5xiix000008l6ctdgafyh",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI"
}
]
}